Last updated

API / geotoolkit / map / sources / GeoTile / GeoTile

Class: GeoTile

sources.GeoTile.GeoTile

GeoTile source

Throws

if user doesn't provide GeoTile loader and GeoTile format

Hierarchy

Table of contents

Constructors
Methods
Css Properties
Name Type Description
systemstringInitial data coordinate system
urlstringData server url

Contents

Constructors

new GeoTile(options)

new GeoTile(options)

Parameters

Name Type Description
optionsOptionsoptions object

Overrides

Projection.constructor

Methods

clear

clear(): GeoTile

Notifies source to remove all data added.

Returns

GeoTile

this

Inherited from

Projection.clear


clone

clone(): GeoTile

Returns

GeoTile


copyConstructor

Protected copyConstructor(src, deepCopy?): GeoTile

Parameters

Name Type
srcGeoTile
Optional deepCopyboolean

Returns

GeoTile


dispose

dispose(): void

Disposes this source, once disposed it should not be used anymore.

Returns

void

Inherited from

Projection.dispose


getClassName

getClassName(): string

Returns

string

Inherited from

Projection.getClassName


getContentNode

getContentNode(): Node

Returns current projected content node

Returns

Node

Inherited from

Projection.getContentNode


getCopyright

getCopyright(): string

Returns copyright information.

Returns

string

Inherited from

Projection.getCopyright


getDataLoader

Protected getDataLoader(): AbstractLoader

Returns server data loader (if exists)

Returns

AbstractLoader

Inherited from

Projection.getDataLoader


getInflateRatio

getInflateRatio(): number

Returns current inflate ratio

Returns

number

Inherited from

Projection.getInflateRatio


getInitialCoordinateSystem

getInitialCoordinateSystem(): AbstractSystem

Gets current data initial coordinate system.

Returns

AbstractSystem

Inherited from

Projection.getInitialCoordinateSystem


getLayers

getLayers(): LayerServerData[]

Returns layers JSON data loaded from the server Should be used asynchronically after loadServerData() method is called

Returns

LayerServerData[]

Inherited from

Projection.getLayers


getMapCoordinateSystem

getMapCoordinateSystem(): AbstractSystem

Gets current map coordinate system.

Returns

AbstractSystem

Inherited from

Projection.getMapCoordinateSystem


getModelLimits

getModelLimits(): Rect

Returns the current data model limits (presumably loaded from the server if it's settled)

Returns

Rect

Inherited from

Projection.getModelLimits


getProperties

getProperties(): OptionsOut

Returns properties

Returns

OptionsOut

properties

Inherited from

Projection.getProperties


getResourceManager

getResourceManager(): TileResourceManager

Returns resource manager used to create projection intermediate results

Returns

TileResourceManager

Inherited from

Projection.getResourceManager


getServerData

getServerData(): JSONObject | XMLDocument

Returns server data loaded from the server Should be used asynchronically after loadServerData() method is called

Returns

JSONObject | XMLDocument

Inherited from

Projection.getServerData


getServerURL

getServerURL(): string | string[]

Gets the server url that is currently used for requests

Returns

string | string[]

server url

Inherited from

Projection.getServerURL


getSourceTimeout

getSourceTimeout(): number

Returns timeout

Returns

number

Inherited from

Projection.getSourceTimeout


getTransformerFromMap

getTransformerFromMap(): Transformer

Gets transformer to transform data from map coordinate system

Returns

Transformer

Inherited from

Projection.getTransformerFromMap


getTransformerToMap

getTransformerToMap(): Transformer

Gets transformer to transform data to map coordinate system

Returns

Transformer

Inherited from

Projection.getTransformerToMap


getVisibleLayers

getVisibleLayers(): (string | number)[]

Returns the server layer ids that are requested.

Returns

(string | number)[]

layers

Inherited from

Projection.getVisibleLayers


hasEventListener

hasEventListener(type, callback?): boolean

Check if a list of event listeners for this type contains this listener

Parameters

Name Type Description
typestringtype of event or property
Optional callbackFunctionto be called, if null, check if any callback is registered

Returns

boolean

Inherited from

Projection.hasEventListener


hideLayers

hideLayers(id?): GeoTile

Adds the passed in ID's to the list of layers to hide

Parameters

Name Type Description
Optional idstring | number | (string | number)[]ID(s) for the layers to show

Returns

GeoTile

this

Inherited from

Projection.hideLayers


initLoader

Protected initLoader(loader?): GeoTile

Initializes the loader provided

Parameters

Name Type Description
Optional loaderAbstractLoaderloader to use

Returns

GeoTile

this

Inherited from

Projection.initLoader


isDataLoaded

isDataLoaded(): boolean

Returns true if server data is already loaded (or no loader provided)

Returns

boolean

Inherited from

Projection.isDataLoaded


isDataReady

isDataReady(): boolean

Checks if source (current visible) data is loaded and ready to be rendered

Returns

boolean

Inherited from

Projection.isDataReady


isDisposed

isDisposed(): boolean

Returns whether this object has been disposed

Returns

boolean

Inherited from

Projection.isDisposed


isLoading

isLoading(): boolean

Checks if some of the requests haven't been finished yet. Returns true if some data is loading, false otherwise.

Returns

boolean

Inherited from

Projection.isLoading


isSilent

isSilent(): boolean

Return true if the event dispatcher doesn't notify any events

Returns

boolean

Inherited from

Projection.isSilent


loadServerData

loadServerData(): Promise<GeoTile>

Returns promise that is loaded when server settings are ready to process

Returns

Promise<GeoTile>

Inherited from

Projection.loadServerData


loadSourceData

loadSourceData(): Promise<AbstractSource>

Returns promise that is resolving when data are ready to process

Returns

Promise<AbstractSource>

Inherited from

Projection.loadSourceData


notify

notify<E>(type, source, args?): GeoTile

Notify listeners

Type parameters

NameType
Eextends string

Parameters

Name Type Description
typeEevent types
sourceGeoTileof the event
Optional argsEventMap[E]arguments of the event

Returns

GeoTile

this

Overrides

Projection.notify


off

off<E>(type?, callback?): GeoTile

Detach listener on event. Calling .off() with no arguments removes all attached listeners. Calling .off(type) with no callback removes all attached listeners for specific type.

Type parameters

NameType
Eextends string

Parameters

Name Type Description
Optional typeEtype of the event
Optional callback(eventType: E, sender: GeoTile, args: EventMap[E]) => voidfunction to be called

Returns

GeoTile

this

Overrides

Projection.off


on

on<E>(type, callback): GeoTile

Attach listener on event that will be called whenever the specified event is delivered to the target

If the callback function is already in the list of event listeners for this target, the function is not added a second time.

If a particular anonymous function is in the list of event listeners registered for a certain target, and then later in the code, an identical anonymous function is given in an "on" call, the second function will also be added to the list of event listeners for that target.

Type parameters

NameType
Eextends string

Parameters

Name Type Description
typeEtype of event or property
callback(eventType: E, sender: GeoTile, args: EventMap[E]) => voidto be called

Returns

GeoTile

this

Overrides

Projection.on


resetLastQueryParams

Protected resetLastQueryParams(): GeoTile

Resets saved last queried limits and layer

Returns

GeoTile

this

Inherited from

Projection.resetLastQueryParams


setContentNode

setContentNode(node): GeoTile

Sets content node to be projected

Parameters

Name Type Description
nodeBoundedNodenode to be projected

Returns

GeoTile

this

Inherited from

Projection.setContentNode


setDataReady

Protected setDataReady(isReady, err?): GeoTile

Sets source (current visible) data ready/not ready, changes the corresponding promise

Parameters

Name Type Description
isReadybooleantrue if source data was loaded, false if it needs to be reset
Optional errErrordata loading error (if exists)

Returns

GeoTile

this

Inherited from

Projection.setDataReady


setInflateRatio

setInflateRatio(ratio): GeoTile

Sets image inflate ratio to use

Parameters

Name Type Description
rationumberimage inflate ratio (e.g. 0.2 means the 20% inflation)

Returns

GeoTile

this

Inherited from

Projection.setInflateRatio


setInitialCoordinateSystem

setInitialCoordinateSystem(system): GeoTile

Sets the data initial coordinate system.

Parameters

Name Type Description
systemstring | AbstractSysteminitial coordinate system

Returns

GeoTile

this

Inherited from

Projection.setInitialCoordinateSystem


setMapCoordinateSystem

setMapCoordinateSystem(system): GeoTile

Sets map coordinate system.

Parameters

Name Type Description
systemstring | AbstractSystemmap coordinate system

Returns

GeoTile

this

Inherited from

Projection.setMapCoordinateSystem


setProperties

setProperties(properties?): GeoTile

Sets properties

Parameters

Name Type Description
Optional propertiesOptionsproperties

Returns

GeoTile

this

Inherited from

Projection.setProperties


setQueryParameter

setQueryParameter(param, value?): GeoTile

Sets custom query parameter to add to the data requests

Parameters

Name Type Description
paramstring | Record<string, string | number>parameter name or custom parameters object (in name -> value format)
Optional valuestring | numberparameter value

Returns

GeoTile

this

Inherited from

Projection.setQueryParameter


setServerURL

setServerURL(url): GeoTile

Sets the server url to use for requesting

Parameters

Name Type Description
urlstring | string[]server url

Returns

GeoTile

this

Inherited from

Projection.setServerURL


setSilent

setSilent(bool): GeoTile

Set silent mode

Parameters

Name Type Description
boolbooleanflag to enable silent mode

Returns

GeoTile

this

Inherited from

Projection.setSilent


setSourceTimeout

setSourceTimeout(timeout): GeoTile

Sets timeout

Parameters

Name Type Description
timeoutnumbertimeout

Returns

GeoTile

this

Inherited from

Projection.setSourceTimeout


showLayers

showLayers(layers): GeoTile

Sets the server layer name(s) to be shown on the layer

Parameters

Name Type Description
layersstring | number | (string | number)[]layer id(s) to be shown

Returns

GeoTile

this

Inherited from

Projection.showLayers


update

update(): GeoTile

Aborts all the sent requests, resends the last one

Returns

GeoTile

this

Inherited from

Projection.update


getClassName

Static getClassName(): string

Returns

string

Inherited from

Projection.getClassName